import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Path } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PolarSplineAreaSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    s9: PolarSplineAreaSeriesView;
    constructor();
    protected s7(a: SeriesView): void;
    s8(a: PolarFrame, b: PolarBaseView): void;
    protected get_s4(): boolean;
    ta: number;
    protected kp(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSplineAreaSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected c4: PolarSplineAreaSeries;
    constructor(a: PolarSplineAreaSeries);
    as(): void;
    private da;
    private c9;
    private c8;
    private c7;
    readonly db: Path;
    readonly dc: Path;
    c5(): void;
    c6(a: List$1<Point>, b: number): void;
    protected bb(): void;
    protected bc(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
    protected af(): void;
}
